From 06dddc719e784ada01d42f31924c5a9fe784d5db Mon Sep 17 00:00:00 2001
From: Matt Kosarek <matt.kosarek@canonical.com>
Date: Sep 19 2025 15:27:01 +0000
Subject: [PATCH 1/2] Rename miracle-wm.yaml to config.yaml


---

diff --git a/miraclewm-config/config.yaml b/miraclewm-config/config.yaml
new file mode 100644
index 0000000..9586984
--- /dev/null
+++ b/miraclewm-config/config.yaml
@@ -0,0 +1,46 @@
+terminal: foot
+inner_gaps:
+  x: 10
+  y: 10
+outer_gaps:
+  x: 20
+  y: 20
+resize_jump: 50
+
+default_action_overrides:
+  - name: toggle_floating
+    action: down
+    modifiers:
+      - primary
+      - shift
+    key: KEY_SPACE
+
+custom_actions:
+  - command: nwg-drawer
+    action: down
+    modifiers:
+      - primary
+    key: KEY_D
+  - command: nwg-bar
+    action: down
+    modifiers:
+      - primary
+      - shift
+    key: KEY_E
+
+startup_apps:
+  - command: nwg-panel
+    restart_on_death: true
+  - command: swaybg -i /usr/share/backgrounds/default.png
+    restart_on_death: true
+  - command: nwg-dock -p left -f -x
+    restart_on_death: true
+
+environment_variables:
+  - key: XDG_CURRENT_DESKTOP
+    value: mir
+
+border:
+  size: 2
+  color: 0x00ffff99
+  focus_color: 0xff00ffff
diff --git a/miraclewm-config/miracle-wm.yaml b/miraclewm-config/miracle-wm.yaml
deleted file mode 100644
index 9586984..0000000
--- a/miraclewm-config/miracle-wm.yaml
+++ /dev/null
@@ -1,46 +0,0 @@
-terminal: foot
-inner_gaps:
-  x: 10
-  y: 10
-outer_gaps:
-  x: 20
-  y: 20
-resize_jump: 50
-
-default_action_overrides:
-  - name: toggle_floating
-    action: down
-    modifiers:
-      - primary
-      - shift
-    key: KEY_SPACE
-
-custom_actions:
-  - command: nwg-drawer
-    action: down
-    modifiers:
-      - primary
-    key: KEY_D
-  - command: nwg-bar
-    action: down
-    modifiers:
-      - primary
-      - shift
-    key: KEY_E
-
-startup_apps:
-  - command: nwg-panel
-    restart_on_death: true
-  - command: swaybg -i /usr/share/backgrounds/default.png
-    restart_on_death: true
-  - command: nwg-dock -p left -f -x
-    restart_on_death: true
-
-environment_variables:
-  - key: XDG_CURRENT_DESKTOP
-    value: mir
-
-border:
-  size: 2
-  color: 0x00ffff99
-  focus_color: 0xff00ffff

From e22607f9b83bcb527d351ac7c0e2f6b31161aff1 Mon Sep 17 00:00:00 2001
From: Matt Kosarek <matt.kosarek@canonical.com>
Date: Sep 19 2025 15:30:27 +0000
Subject: [PATCH 2/2] Merge remote-tracking branch 'upstream/main'


---

diff --git a/initial-setup/run-gui-backend b/initial-setup/run-gui-backend
index 8b1fea5..e75b023 100755
--- a/initial-setup/run-gui-backend
+++ b/initial-setup/run-gui-backend
@@ -2,4 +2,20 @@
 
 ## Runs the GUI program from $@ in Miracle WM
 
-miracle-wm $@
+RUN_SCRIPT=$(mktemp --suffix="-wl-miraclewm-firstboot-run")
+EXIT_CODE_SAVE=$(mktemp --suffix="-wl-miraclewm-firstboot-exit")
+
+cat > ${RUN_SCRIPT} << EOF
+#!/bin/sh
+$@
+echo $? > ${EXIT_CODE_SAVE}
+EOF
+
+chmod +x ${RUN_SCRIPT}
+
+miracle-wm --no-config=1 --exec ${RUN_SCRIPT}
+
+exit_code=$(< ${EXIT_CODE_SAVE})
+
+rm ${RUN_SCRIPT} ${EXIT_CODE_SAVE}
+exit $exit_code
diff --git a/miraclewm-config/config.yaml b/miraclewm-config/config.yaml
index 9586984..dbe0599 100644
--- a/miraclewm-config/config.yaml
+++ b/miraclewm-config/config.yaml
@@ -31,15 +31,11 @@ custom_actions:
 startup_apps:
   - command: nwg-panel
     restart_on_death: true
-  - command: swaybg -i /usr/share/backgrounds/default.png
+  - command: swaybg -i /usr/share/backgrounds/default.jxl
     restart_on_death: true
   - command: nwg-dock -p left -f -x
     restart_on_death: true
 
-environment_variables:
-  - key: XDG_CURRENT_DESKTOP
-    value: mir
-
 border:
   size: 2
   color: 0x00ffff99
diff --git a/miraclewm-config/nwg-bar/bar.json b/miraclewm-config/nwg-bar/bar.json
index 6c456e7..0632c5b 100644
--- a/miraclewm-config/nwg-bar/bar.json
+++ b/miraclewm-config/nwg-bar/bar.json
@@ -1,12 +1,12 @@
 [
   {
     "label": "Lock",
-    "exec": "swaylock -f -c 000000",
+    "exec": "swaylock -f -c 000000 -i /usr/share/backgrounds/default.jxl -s fill",
     "icon": "/usr/share/nwg-bar/images/system-lock-screen.svg"
   },
   {
     "label": "Logout",
-    "exec": "swaymsg exit",
+    "exec": "miraclemsg exit",
     "icon": "/usr/share/nwg-bar/images/system-log-out.svg"
   },
   {
@@ -19,4 +19,4 @@
     "exec": "systemctl -i poweroff",
     "icon": "/usr/share/nwg-bar/images/system-shutdown.svg"
   }
-]
\ No newline at end of file
+]
diff --git a/miraclewm-config/nwg-panel/config b/miraclewm-config/nwg-panel/config
index 21fe2f5..3cbe8e1 100644
--- a/miraclewm-config/nwg-panel/config
+++ b/miraclewm-config/nwg-panel/config
@@ -23,7 +23,6 @@
       "clock"
     ],
     "modules-right": [
-      "executor-weather",
       "sway-mode"
     ],
     "controls-settings": {
@@ -55,11 +54,11 @@
         "items": [
           {
             "name": "Lock",
-            "cmd": "swaylock -f -c 000000"
+            "cmd": "swaylock -f -c 000000 -i /usr/share/backgrounds/default.jxl -s fill"
           },
           {
             "name": "Logout",
-            "cmd": "swaymsg exit"
+            "cmd": "miraclemsg exit"
           },
           {
             "name": "Reboot",
@@ -81,11 +80,7 @@
         "1",
         "2",
         "3",
-        "4",
-        "5",
-        "6",
-        "7",
-        "8"
+        "4"
       ],
       "name-max-len": 20,
       "image-size": 16,
@@ -105,13 +100,7 @@
         "1",
         "2",
         "3",
-        "4",
-        "5",
-        "6",
-        "7",
-        "8",
-        "9",
-        "0"
+        "4"
       ]
     },
     "clock": {
@@ -159,4 +148,4 @@
       "on-scroll-down": ""
     }
   }
-]
\ No newline at end of file
+]
diff --git a/sddm/miracle-wm.conf b/sddm/miracle-wm.conf
index c7c1675..e2980f1 100644
--- a/sddm/miracle-wm.conf
+++ b/sddm/miracle-wm.conf
@@ -4,4 +4,4 @@ GreeterEnvironment=QT_WAYLAND_SHELL_INTEGRATION=layer-shell
 InputMethod=
 
 [Wayland]
-CompositorCommand=miracle-wm
+CompositorCommand=miracle-wm --no-config=1

